<?php

namespace OCA\Dematpayslip\Migration;

use Closure;
use OCP\DB\ISchemaWrapper;
use OCP\IDBConnection;
use OCP\Migration\SimpleMigrationStep;
use OCP\Migration\IOutput;

use OCA\Dematpayslip\Db\DematpayslipArchive;

class Version030102Date20210812020000 extends SimpleMigrationStep {

    /** @var IDBConnection */
    protected $connection;

    public function __construct(IDBConnection $connection) {
        $this->connection = $connection;
    }

    /**
     * @param IOutput $output
     * @param Closure $schemaClosure The `\Closure` returns a `ISchemaWrapper`
     * @param array $options
     * @return null|ISchemaWrapper
     */
    public function changeSchema(IOutput $output, Closure $schemaClosure, array $options) {
        /** @var ISchemaWrapper $schema */
        $schema = $schemaClosure();

        $table = $schema->getTable('dematpayslip_archive');

        $table->dropIndex('demat_archive_id_file');
        $table->addIndex(['id_file'], 'demat_archive_id_file');

        return $schema;
    }
}
